import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
export const formConfig = [
  {
    type: FormType.input,
    label: "城市名称",
    name: "city_name",
    value: "",
    rules: [{ required: true, message: "城市名称不能为空!" }],
  },
  {
    type: FormType.input,
    label: "城市编码",
    name: "code",
    value: "",
    rules: [{ required: true, message: "城市编码不能为空" }],
  },
  {
    type: FormType.inputNumber,
    label: "经度",
    name: "lat",
    value: 0,
    rules: [{ required: true, message: "经度不能为空" }],
  },
  {
    type: FormType.inputNumber,
    label: "纬度",
    name: "long",
    value: 0,
    rules: [{ required: true, message: "纬度不能为空" }],
  },
  {
    type: FormType.input,
    label: "所属省份",
    name: "pidentity",
    value: "",
  },
];

export const columns: ColumnsType<UserDataType> = [
  {
    title: "城市名称",
    dataIndex: "city_name",
    fixed: "left",
  },
  {
    title: "城市编码",
    dataIndex: "code",
  },
  {
    title: "纬度",
    dataIndex: "lat",
  },
  {
    title: "经度",
    dataIndex: "long",
  },
  {
    title: "所属省份",
    dataIndex: "pidentity",
  },
];
