import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
export const formConfig = [
  {
    type: FormType.input,
    label: "商品名称",
    name: "tag_name",
    value: "",
    rules: [{ required: true, message: "标签名称不能为空!" }],
  },
  {
    type: FormType.input,
    label: "标签描述",
    name: "tag_desc",
    value: "",
    rules: [{ required: true, message: "城市编码不能为空" }],
  },
  {
    type: FormType.input,
    label: "标签排序",
    name: "tag_sort",
    value: "1",
    rules: [{ required: true, message: "标签排序不能为空" }],
  },
];

export const columns: ColumnsType<UserDataType> = [
  {
    title: "商品名称",
    dataIndex: "sku_name",
    fixed: "left",
  },
  {
    title: "库存",
    dataIndex: "sku_stock",
  },
  {
    title: "商品分类",
    dataIndex: "sku_cat_identity",
  },
  {
    title: "品牌",
    dataIndex: "sku_brand_identity",
  },
  {
    title: "缩略图",
    dataIndex: "sku_thumb",
  },
  {
    title: "商品介绍",
    dataIndex: "sku_desc",
  },
  {
    title: "所属城市",
    dataIndex: "city_identity",
  },
];
